Broken link checkerのParse error

月初です。

お客様サイトのチェツク週間です。

さて、今回のトピック。
4.8.1のVerup。くらいかと思っていたら、

お客さまサイトで、1つ、

管理画面へアクセスできなくなっているのがありました。

ログインすると、以下のエラーが。。。

Parse error: syntax error, unexpected ‘[‘ in /(サーバー内のディレクトリ名)/wp-content/plugins/broken-link-checker/core/core.php

おや?

請負元に報告したら、
「PHPのバージョン上げてみてください。」とのお返事が。

なになに。

302 Found

Fixed a few more PHP 7.x/5.6 compatibility issues

あらま。

PHP バージョンを5.6に更新したら、無事解決しました。

めでたしめでたし。

プラグインのサイトをみることは大切ですね。
※しかし、他にも、PHP バージョンが5.3とかのサイトはあるんだけど、なぜここだけでたんだろう。それは気になる。
 まあ、影響でてないから、よしとしよう。